import QtQuick 2.11
import QtQuick.Controls 2.4
import "./"
import "../components"

Page {
    id: root

    signal pageOpened()

    background: Rectangle {
        color: settings.theme("PageBackgroundColor")
    }

    Label {
        id: percent
        text: "You had " + calender.dateCount/calender.correct*100 + "% right!"
        font.pixelSize: parent.width * 0.05
        color: settings.theme("PageTextColor")
        anchors {
            horizontalCenter: parent.horizontalCenter
            top: parent.top
            topMargin: parent.height * 0.2
        }
    }

    Row {
        id: buttonRow
        anchors {
            horizontalCenter: parent.horizontalCenter
            bottom: parent.bottom
            bottomMargin: parent.height * 0.15
        }
        height: childrenRect.height
        width: childrenRect.width
        spacing: parent.width * 0.1

        GameButton {
            id: homeButton
            height: root.width * 0.2
            text: "home"
            onClicked: {
                game.start()
            }
        }

        GameButton {
            id: startButtons
            height: root.width * 0.2
            text: "start"
            onClicked: {
                calender.start()
            }
        }
    }
}
